Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Interface Distributor

    @UML(identifier="MD_Distributor",
         specification=ISO_19115)
    public interface Distributor

Information about the distributor.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends StandardOrderProcess>` | `getDistributionOrderProcesses()` Provides information about how the resource may be obtained, and related instructions and fee information.
`ResponsibleParty` | `getDistributorContact()` Party from whom the resource may be obtained.
`Collection<? extends Format>` | `getDistributorFormats()` Provides information about the format used by the distributor.
`Collection<? extends DigitalTransferOptions>` | `getDistributorTransferOptions()` Provides information about the technical means and media used by the distributor.

Method Detail

### getDistributorContact

    @UML(identifier="distributorContact",
         obligation=MANDATORY,
         specification=ISO_19115)
    ResponsibleParty getDistributorContact()

  Party from whom the resource may be obtained. This list need not be exhaustive.

### getDistributionOrderProcesses

    @UML(identifier="distributionOrderProcess",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends StandardOrderProcess> getDistributionOrderProcesses()

  Provides information about how the resource may be obtained, and related instructions and fee information.

### getDistributorFormats

    @UML(identifier="distributorFormat",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends Format> getDistributorFormats()

  Provides information about the format used by the distributor.

### getDistributorTransferOptions

    @UML(identifier="distributorTransferOptions",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends DigitalTransferOptions> getDistributorTransferOptions()

  Provides information about the technical means and media used by the distributor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.